Bug 427393 - audit: Logging execve arguments, out of memory in audit_expand
Summary: audit: Logging execve arguments, out of memory in audit_expand
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: Regression, ZStream
Depends On: 310651
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-03 17:26 UTC by RHEL Product and Program Management
Modified: 2009-07-20 10:00 UTC (History)
6 users (show)

Fixed In Version: RHSA-2008-0167
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 10:30:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0167 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2008-03-14 10:30:46 UTC

Description RHEL Product and Program Management 2008-01-03 17:26:58 UTC
This bug has been copied from bug #310651 and has been proposed
to be backported to 4.6 z-stream (EUS).

Comment 2 RHEL Product and Program Management 2008-01-03 17:36:09 UTC
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.

Comment 4 Jan Lieskovsky 2008-02-27 10:42:04 UTC
Comment from Mark J.Cox:

After review we believe this actually doesn't qualify to be treated as a
security vulnerability:

The customers who reported this flaw have a non-default setup specifically
designed to cause a machine panic under OOM situations.  The bug is likely to
trigger the panic under normal operating circumstances, even without a local
malicious attacker, and indeed this is how the reporting customers found this
issue.  

So a local malicious attacker could cause the machine configured in this way to
panic (leaving their traces all over the audit log), but it was most likely
going to panic by itself at some point anyway.

I'm going to therefore remove the CVE name we allocated for this issue.



Comment 8 errata-xmlrpc 2008-03-14 10:30:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0167.html



Note You need to log in before you can comment on or make changes to this bug.